#Connection To database
spring:
  datasource:
#    url: jdbc:postgresql://localhost:5432/guru
#    username: postgres
#    password: root
    url: jdbc:postgresql://162.19.76.41:5432/guru
    username: alfresco
    password: alfresco
  
    hikari:
      maximumPoolSize: 5
      connectionTimeout: 3000

# The SQL dialect makes Hibernate generate better SQL for the chosen database
  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        temp:
          use_jdbc_metadata_defaults: false

# Hibernate ddl auto (create, create-drop, validate, update)
    hibernate:
      ddl-auto: none

## Banner config
  banner:
    location: classpath:config/banner/banner-dev.txt
  main:
    log-startup-info: false
  output:
    ansi:
      enabled: always

# Server
server:
  port: 8063

# Configuration swagger
springdoc:
  swagger-ui:
    operationsSorter: method
    default-models-expand-depth: 0
  packages-to-scan: tn.com.guru
  model-and-view-allowed: true
  cache:
    disabled: true  

# Connection to eureka
eureka:
  client:
    serviceUrl:
      defaultZone: http://localhost:8761/eureka
  instance:
    preferIpAddress: true
    


# Configuration Email
#mail:
#  host: smtp.gmail.com
#  port: 587
#  username: 
#  password: 
#  debug: true
#  default-encoding: UTF-8
#  smtp:
#    auth: true
#    socketFactory:
#      class: javax.net.ssl.SSLSocketFactory
#      fallback: false
#      port: 465
#    ssl:
#      enable: true
#   starttls:
#     enable: true
# transport:
#   protocol: smtp

#CORS Configuration
#management:
#  endpoints:
#    web:
#      cors:
#        allowed-origins: http://localhost:4200
#        allow-credentials: true

#management:
#  endpoints:
#    enabled-by-default: false
#  info:
#    enabled: true
#  metrics:
#    enabled: true

 